import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/routes/route_name.dart';
import 'package:tanami_app/core/routes/routes.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/shared/components/button_widget.dart';

import '../../../../core/styles/app_text.dart';

class RegisterStepBottomSection extends StatelessWidget {
  const RegisterStepBottomSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 40.0),
      child: Column(
        children: [
          Container(
            margin: const EdgeInsets.symmetric(
              horizontal: 16,
            ),
            width: 1.sw,
            height: 56.h,
            child: ButtonWidget().elevatedBtn(
              function: () {
                goRouter.pushNamed(
                  RouteName.registerScreen,
                );
              },
              text: AppText.getStarted,
              txtClr: AppColor.plainWhite,
              clr: AppColor.primaryColor2,
            ),
          ),
          const Gap(16),
          ButtonWidget().textBorderBtn(
            clr: AppColor.plainWhite,
            borderClr: AppColor.txtBorderColor,
            function: () {
              goRouter.goNamed(RouteName.loginScreen, pathParameters: {
                "fromScreen": "registerStep",
              });
            },
            text: AppText.loginText,
          )
        ],
      ),
    );
  }
}
